Subject: Re: [bug#68423] [PATCH] guix: go-build-system: use trimpath go flag

From: Sharlatan Hellseher <[email-masked]>
Date: Tue, 23 Jan 2024 20:34:50 +0000

Hi Ekaitz,

> With the previous alternative the packager would just remove
> the phase, but hardcoding the option as we did doesn't provide
> any way to do that...  Some kind of flag should be enough.

It would be great to have more control over golang build envars
and build flags, like it happen in gnu-build-system or cmake-build-system
via #:make-flags and #:configure-flags.

Having some common defaults hardcoded and kind of #:build-flags as a way to
path anything else to compiler.

There is a similar thread referring go test flags, I've listed all in here:
https://mail.gnu.org/archive/html/guix-devel/2024-01/msg00235.html

Thanks,
Oleg